Skip to main content
`Ctrl`+`K`

# PetscMax

Returns maximum of two numbers

## Synopsis

    #include <petscmath.h>
    type max PetscMax(type v1,type v2)

Not Collective

## Input Parameters

- v1 - first value to find maximum of

- v2 - second value to find maximum of

## Note

The type can be integer or floating point value

## See Also

`PetscMin()`, `PetscClipInterval()`, `PetscAbsInt()`, `PetscAbsReal()`, `PetscSqr()`

## Level

beginner

## Location

include/petscmath.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages